--[[
	Due to the fact that not every locale is going to use the same type of definitions or acronyms, each one is it's own module.
	Sadly use of the WoWAce-CurseForge Loclization App is not viable

]]--


local AddonParent = LibStub("AceAddon-3.0"):GetAddon("AcronymGuide")
local module = AddonParent:NewModule("enUS Def File")

function module:OnEnable()
	local d = self.def
	for i = 1, #d do
		AddonParent:AddDefinition( d[i] )
	end
end
--[[
	Conventions:
{"<Unique Identifier>", "<Regex>", "Link Text", "<Title and Description>", ... }

	The "<Unique Identifier>" will often be the Acronym itself or a variation.
	Keep in mid that the "<Regex>" is used by gsub().
	"<LinkText>" is that the end user sees, this will often be the Acronym properly cased or with dots (.) IE:  "D.P.S" or "L.F.G". No "[]" required.
		Be nice with the Link text, the end user sees this and we don't want to be obseen by giving them the whole thing or unnessisarily making the link text long.
	"<Title and Description>" is just that. The Properly spelled out acronym with each letter in the acronym capitilized and seperated from the description by "\n".

	smaller acronyms go lower in order.
]]--

module.def = {	--Start of Definition File
--For Example
{"LFG", 	"[lL][fF][gG]", "LFG", "Looking For Group", "Meaning that this player is seeking others to join them in a party for some event"},

---------------
--- Commerce and Trade
---------------

{"WTB", 	"[wW][tT][bB]", "WTB", "Want To Buy", "Indicating this person is seeking to purchace or aquire the following item or thing."},
{"WTS", 	"[wW][tT][sS]", "WTS", "Wants To Sell"},
{"LFW", 	"[lL][fF][wW]", "LFW", "Looking for Work", "Usualy found with a tradeskill link afterwards"},
{"PST", 	"[pP][sS][tT]", "PST", "Please Send a Tell"},

---------------
--- Grouping and Instancing
--------------
--WOTLK~~~~~~~~~~~~~~~~~~~~~~~~
	--Raids
		--Nax
{"h-nax", 	"25%s?[mM][aA][nN]%s?[nN][aA][xX]+", "H-Nax", "Naxxramas"},
{"h-nax1", 	"[hH]%s?[nN][aA][xX]+", "H-Nax", "Naxxramas"},
{"r-nax", 	"[nN][aA][xX]+", "Nax", "Naxxramas"},

		--OS
		
		--Mally

		--VoA
{"VoA1", 	"25[mM][aA][nN]%s?[vV][oO][aA]", "H-VoA", "Heroic: Vault of Archavon", "A small raid instance in Wintergrasp"},
{"VoA2", 	"[hH]%s?[vV][oO][aA]", "H-VoA", "Heroic: Vault of Archavon", "A small raid instance in Wintergrasp"},
{"VoA2", 	"[vV][oO][aA]", "VoA", "Vault of Archavon", "A small raid instance in Wintergrasp"},
		--Arc
{"VoA3", 	"25[mM][aA][nN]%s?[aA][rR][cC]", "Arc", "Vault of Archavon", "A small raid instance in Wintergrasp"},
{"VoA3", 	"[hH]%s?[aA][rR][cC]", "Arc", "Vault of Archavon", "A small raid instance in Wintergrasp", "Also could be 'Arcatraz', a lvl 70 (BC) instance in Outland"},
{"VoA3", 	"[aA][rR][cC]", "Arc", "Vault of Archavon", "A small raid instance in Wintergrasp", "Also could be 'Arcatraz', a lvl 70 (BC) instance in Outland"},
		--Valut
{"VoA4", 	"25[mM][aA][nN]%s?[vV][aA][uU][lL][tT]", "H-VoA", "Heroic: Vault of Archavon", "A small raid instance in Wintergrasp"},
{"VoA5", 	"[hH]%s+[vV][aA][uU][lL][tT]", "H-VoA", "Heroic: Vault of Archavon", "A small raid instance in Wintergrasp"},
{"VoA6", 	"[vV][aA][uU][lL][tT]", "VoA", "Vault of Archavon", "A small raid instance in Wintergrasp"},
		--PvP Event
{"WG-Event",	"[wW][gG]", 	"WG",	"Winter Grasp", "A PvP Zone in Northrend.", "This May also refer to Valt of Arcavon, a 10 & 25man Raid Instance there."},


	--North Rend Instances, Heroic's Must Come first in the chain
		--Nexus
{"h-Nexus",	"[hH]%s?[nN][eE][xX][uU]?[sS]?", "H-Nexus", "Heroic Nexus"},
{"r-Nexus",	"[nN][eE][xX][uU]?[sS]?", "Nexus", "Nexus", "An level 70 Instance in Borean Tundra"},
		--Oculus
		
		--DTK
{"h-DTK", 	"[hH]%s?[dD][tT][kK]", 	"H-DTK", "Heroic Drak'Tharon Keep"},
{"r-DTK", 	"[dD][tT][kK]", "DTK", 	"Drak'Tharon Keep"},

		--Gundrak
		
		
		
		--Ulduar
{"h-hos",	"[hH]%s?[hH][oO][sS]", 	"H-HoS", "Heroic Halls of Stone"},
{"r-hos",	"[hH][oO][sS]", 	"HoS", "Regular Halls of Stone"},

		--Utgard
{"h-UK",	"[hH]%s?[uU][kK]", "H-UK", "Hoeric: Utgard Keep"},
{"r-UK",	"[uU][kK]", "UK", "Utgard Keep"},
		
		--Azjol
{"h-AN", 	"[hH]%s?[aA][nN]", "H-AN", "Heroic: Azjol-Nerub", },
---{"r-AN", 	"[aA][nN]", "AN", "Azjol-Nerub", "Could also be just the word 'an'"},	--Not sure about this one might not include it really.
{"h-OK",	"[hH]%s?[oO][kK]", "H-OK", "Heroic Ahn'Kahet: 'The Old Kindom'", "Just refered to as 'Old Kingdom'"},	--Not sure about this one either.
--{"r-OK",	"[oO][kK]", "H-OK", "Ahn'Kahet: 'The Old Kindom'", "Just refered to as 'Old Kingdom'", "Might also be just the word 'ok', as in a reply"}, --Not sure about this one either.
		
		--CoT


		--VH
{"h-VH", 	"[hH]%s?[vV][hH]", "H-VH", "Heroic Violet Hold",},
{"r-VH", 	"[vV][hH]", "VH", "Violet Hold"},

--BC~~~~~~~~~~~~~~~~~~~~~
{"BF-Instance",	"[bB][fF]", 	"BF", "Blood Furnace", "The Blood Furnace is the second wing of the Hellfire Citadel."},
{"BM-I-T", 	"[bB][mM]", 	"BM", "Black Morass", "The second instance in Caverns of Time", "--Beast Mastery", "A Hunter talent tree."},

{"BT-inst",	"[bB][tT]", 	"BT", "Black Temple", "A level 70 raid instance in Outland"},

--Classic~~~~~~~~~~~~~~~`
{"RFC", 	"[rR][fF][cC]", "RFC", "Rage Fire Chasim"},
{"BFD-Instance","[bB][fF][dD]", "BFD", "Blackfathom Deeps", "Blackfathom Deeps is a partially underwater dungeon in northwestern Ashenvale."},
{"BRD", 	"[bB][rR][dD]", "BRD", "Blackrock Depths", "Lower instance at Blackrock Mountain, in Old World"},
{"BRD", 	"[bB][rR][sS]", "BRD", "Blackrock Depths", "Upper instance at Blackrock Mountain, in Old World.", "Also is a 2 Part instance, UBRS and LBRS."},

{"AQ20",	"[aA][qQ]20",	"AQ20", "Ruins of Ahn'Qiraj", "Ruins of Ahn'Qiraj is a 20-man outdoor raid dungeon located in southern Silithus"},
{"AQ40",	"[aA][qQ]40",	"AQ40", "Ruins of Ahn'Qiraj", "Temple of Ahn'Qiraj is a 40-man raid dungeon located in southern Silithus"},
{"AB",		"[aA][bB]",	"AB", "Arathi Basin"},	--BG
{"AV",		"[aA][vV]", 	"AB", "Arathi Basin"},	--BG
---------------
--General
---------------
{"DPS", 	"[dD][pP][sS]", "DPS", "Damage Per Second", "How much Damage done over time, generally in combat", "Also used to describe any class who's role is Damage Dealing"},
{"LFM", 	"[lL][fF][mM]", "LFM", "Looking For More", "Related to Looking for Group", "Generally used when your group is less than %10 filled, mainly used for groups doing Raids"},
{"LF", 		"[lL][fF]", 	"LF", "Looking For", "Primary Context is when looking for more peope for a instance or group.","  Generally follwed with a number, role or location", "Also seen preceeding items that person is looking to buy or aquire"},--This needs to come more or less last in the LF* serise
{"FP", 		"[fF][pP]", "FP", "Fligth Point or Path"},
--------------
--- Professions
---------------

{"JC", 		"[jJ][cC]", "JC", "Jewlcrafting"},
{"BS",		"[bB][sS]", "BS", "Blacksmithing", "Commonly a profession in World of Warcraft.", "Also, a resource node in Arathi Basin."},

}	--End of Definition File

do
	local linkText = "LF%dM"
AddonParent:RegisterSpecialCase({
	uid = "LF#M",
	regex = "%s[lL][fF]%d+[mM]%s",
	linkfunc = function(addon, leMessage, linkRepo)
		local count = tonumber( leMessage:match("%s[lL][fF](%d+)[mM]%s") or 0 )
		local link = addon:GetLink("LF#M", linkText:format(count) )
		tinsert(linkRepo, link)
		leMessage = leMessage:gsub("%s[lL][fF](%d+)[mM]%s", " \001\004"..#linkRepo.." ")
		
		return leMessage
	end,
	"Looking for X More",
})
end

